import React, { CSSProperties } from 'react';
import { Edge, ConnectionLineType, ConnectionLineComponent, ConnectionMode, OnEdgeUpdateFunc, NodeHandleBounds } from '../../types';
interface EdgeRendererProps {
    edgeTypes: any;
    connectionLineType: ConnectionLineType;
    connectionLineStyle?: CSSProperties;
    connectionLineComponent?: ConnectionLineComponent;
    onEdgeClick?: (event: React.MouseEvent, node: Edge) => void;
    onEdgeDoubleClick?: (event: React.MouseEvent, edge: Edge) => void;
    defaultMarkerColor: string;
    onlyRenderVisibleElements: boolean;
    onEdgeUpdate?: OnEdgeUpdateFunc;
    onEdgeContextMenu?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeMouseEnter?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeMouseMove?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeMouseLeave?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeUpdateStart?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeUpdateEnd?: (event: MouseEvent, edge: Edge) => void;
    edgeUpdaterRadius?: number;
}
interface EdgeWrapperProps {
    edge: Edge;
    edgeTypes: any;
    markerEndId?: string;
    onEdgeClick?: (event: React.MouseEvent, node: Edge) => void;
    onEdgeContextMenu?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeMouseEnter?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeMouseMove?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeMouseLeave?: (event: React.MouseEvent, edge: Edge) => void;
    edgeUpdaterRadius?: number;
    onEdgeDoubleClick?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeUpdateStart?: (event: React.MouseEvent, edge: Edge) => void;
    onEdgeUpdateEnd?: (event: MouseEvent, edge: Edge) => void;
    onEdgeUpdate?: OnEdgeUpdateFunc;
    elementsSelectable: boolean;
    connectionMode?: ConnectionMode;
    sourceNodeWidth?: number | null;
    sourceNodeHeight?: number | null;
    sourceNodeX?: number;
    sourceNodeY?: number;
    sourceNodeHandleBounds?: NodeHandleBounds;
    targetNodeWidth?: number | null;
    targetNodeHeight?: number | null;
    targetNodeX?: number;
    targetNodeY?: number;
    targetNodeHandleBounds?: NodeHandleBounds;
}
declare const Edge: React.MemoExoticComponent<({ edge, edgeTypes, markerEndId, onEdgeClick, onEdgeContextMenu, onEdgeMouseEnter, onEdgeMouseMove, onEdgeMouseLeave, edgeUpdaterRadius, onEdgeDoubleClick, onEdgeUpdateStart, onEdgeUpdateEnd, onEdgeUpdate, connectionMode, elementsSelectable, sourceNodeWidth, sourceNodeHeight, sourceNodeX, sourceNodeY, sourceNodeHandleBounds, targetNodeWidth, targetNodeHeight, targetNodeX, targetNodeY, targetNodeHandleBounds, }: EdgeWrapperProps) => JSX.Element | null>;
declare const _default: React.MemoExoticComponent<{
    (props: EdgeRendererProps): JSX.Element | null;
    displayName: string;
}>;
export default _default;
